<?php

$type = function()
{
    $array = array();
    $info = Dever::db('short/type')->state();
    
    if($info)
    {
        $array += $info;
    }
    return $array;
};

$host = function()
{
    $array = array();
    $info = Dever::db('short/host')->state();
    
    if($info)
    {
        $array += $info;
    }
    return $array;
};

return array
(
    # 表名
    'name' => 'info',
    # 显示给用户看的名称
    'lang' => '短域名',
    # 是否显示在后台菜单
    'order' => 1,
    'auto' => 10000000,

    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'order'     => 'asc',
            'list'      => true,
        ),

        'host_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '域名',
            'default'   => '1',
            'desc'      => '域名',
            'match'     => 'is_numeric',
            'update'    => 'select',
            'option'    => $host,
            //'search'    => 'select',
            //'list'        => true,
        ),

        'type_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '分类',
            'default'   => '1',
            'desc'      => '分类',
            'match'     => 'is_numeric',
            'update'    => 'select',
            'option'    => $type,
            'search'    => 'select',
            'list'        => true,
        ),

        'name'      => array
        (
            'type'      => 'varchar-600',
            'name'      => '标题',
            'default'   => '',
            'desc'      => '标题',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'url'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '需要转换的网址',
            'default'   => '',
            'desc'      => '需要转换的网址',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'param'      => array
        (
            'type'      => 'varchar-2000',
            'name'      => '参数',
            'default'   => '',
            'desc'      => '参数',
            'match'     => 'option',
            //'update'    => 'text',
            //'list'      => true,
            'list_name' => '短连接',
            'list'      => 'Dever::load("short/lib/handle.showUrl", {id})',
        ),

        'key'      => array
        (
            'type'      => 'varchar-32',
            'name'      => '关键字',
            'default'   => '',
            'desc'      => '关键字',
            'match'     => 'option',
            //'update'    => 'text',
            //'search'    => 'fulltext',
            //'list'      => true,
        ),
        
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (

    ),

    'request' => array
    (
        
    )
);
